*** 1.1	1996/03/19 00:29:38
--- lib/data.c	1996/03/19 00:40:08
***************
*** 45,50 ****
--- 45,56 ----
  #include <ctype.h>
  #endif
  
+ #ifndef __EMX__
+ #define ISEOLN(c) (c == mdata->Eos)
+ #else
+ #define ISEOLN(c) (c == mdata->Eos || c == '\r')
+ #endif
+ 
  
  LFUNC(ParseComment, int, (xpmData * mdata));
  
***************
*** 172,179 ****
  
  	/* get to the end of the current string */
  	if (mdata->Eos)
! 	    while ((c = *mdata->cptr++) && c != mdata->Eos);
! 
  	/*
  	 * then get to the beginning of the next string looking for possible
  	 * comment
--- 178,184 ----
  
  	/* get to the end of the current string */
  	if (mdata->Eos)
! 	    while ((c = *mdata->cptr++) && !ISEOLN(c));
  	/*
  	 * then get to the beginning of the next string looking for possible
  	 * comment
***************
*** 193,200 ****
  
  	/* get to the end of the current string */
  	if (mdata->Eos)
! 	    while ((c = getc(file)) != mdata->Eos && c != EOF);
! 
  	/*
  	 * then get to the beginning of the next string looking for possible
  	 * comment
--- 198,204 ----
  
  	/* get to the end of the current string */
  	if (mdata->Eos)
! 	    while ((c = getc(file)) != EOF && !ISEOLN(c));
  	/*
  	 * then get to the beginning of the next string looking for possible
  	 * comment
***************
*** 243,262 ****
      int c;
  
      if (!mdata->type || mdata->type == XPMBUFFER) {
! 	while (isspace(c = *mdata->cptr) && c != mdata->Eos)
  	    mdata->cptr++;
  	do {
  	    c = *mdata->cptr++;
  	    *buf++ = c;
  	    n++;
! 	} while (!isspace(c) && c != mdata->Eos && n < buflen);
  	n--;
  	mdata->cptr--;
      } else {
  	FILE *file = mdata->stream.file;
  
! 	while ((c = getc(file)) != EOF && isspace(c) && c != mdata->Eos);
! 	while (!isspace(c) && c != mdata->Eos && c != EOF && n < buflen) {
  	    *buf++ = c;
  	    n++;
  	    c = getc(file);
--- 247,266 ----
      int c;
  
      if (!mdata->type || mdata->type == XPMBUFFER) {
! 	while (isspace(c = *mdata->cptr) && !ISEOLN(c))
  	    mdata->cptr++;
  	do {
  	    c = *mdata->cptr++;
  	    *buf++ = c;
  	    n++;
! 	} while (!isspace(c) && !ISEOLN(c) && n < buflen);
  	n--;
  	mdata->cptr--;
      } else {
  	FILE *file = mdata->stream.file;
  
! 	while ((c = getc(file)) != EOF && isspace(c) && !ISEOLN(c));
! 	while (!isspace(c) && !ISEOLN(c) && c != EOF && n < buflen) {
  	    *buf++ = c;
  	    n++;
  	    c = getc(file);
***************
*** 283,292 ****
  	if (mdata->cptr) {
  	    char *start;
  
! 	    while (isspace(c = *mdata->cptr) && c != mdata->Eos)
  		mdata->cptr++;
  	    start = mdata->cptr;
! 	    while ((c = *mdata->cptr) && c != mdata->Eos)
  		mdata->cptr++;
  	    n = mdata->cptr - start + 1;
  	    p = (char *) XpmMalloc(n);
--- 287,296 ----
  	if (mdata->cptr) {
  	    char *start;
  
! 	    while (isspace(c = *mdata->cptr) && !ISEOLN(c))
  		mdata->cptr++;
  	    start = mdata->cptr;
! 	    while ((c = *mdata->cptr) && !ISEOLN(c))
  		mdata->cptr++;
  	    n = mdata->cptr - start + 1;
  	    p = (char *) XpmMalloc(n);
***************
*** 299,312 ****
      } else {
  	FILE *file = mdata->stream.file;
  
! 	while ((c = getc(file)) != EOF && isspace(c) && c != mdata->Eos);
  	if (c == EOF)
  	    return (XpmFileInvalid);
  	p = NULL;
  	i = 0;
  	q = buf;
  	p = (char *) XpmMalloc(1);
! 	while (c != mdata->Eos && c != EOF) {
  	    if (i == BUFSIZ) {
  		/* get to the end of the buffer */
  		/* malloc needed memory */
--- 303,316 ----
      } else {
  	FILE *file = mdata->stream.file;
  
! 	while ((c = getc(file)) != EOF && isspace(c) && !ISEOLN(c));
  	if (c == EOF)
  	    return (XpmFileInvalid);
  	p = NULL;
  	i = 0;
  	q = buf;
  	p = (char *) XpmMalloc(1);
! 	while (!ISEOLN(c) && c != EOF) {
  	    if (i == BUFSIZ) {
  		/* get to the end of the buffer */
  		/* malloc needed memory */
*** 1.1	1996/03/18 23:32:32
--- lib/Imakefile	1996/03/19 00:04:46
***************
*** 39,46 ****
  
  XCOMM SGI requires a specification file for shared library that we don't have
  #ifndef SharedLibXpm
! #define SharedLibXpm (HasSharedLibraries && \
! 	!(defined(SGIArchitecture) && !SystemV4))
  #endif
  
  #ifndef NormalLibXpm
--- 39,49 ----
  
  XCOMM SGI requires a specification file for shared library that we don't have
  #ifndef SharedLibXpm
! #define SharedLibXpm (defined(OS2Architecture) || (HasSharedLibraries && \
! 	!(defined(SGIArchitecture) && !SystemV4)))
! #endif
! #ifdef OS2Architecture
! #define NormalLibXpm NO
  #endif
  
  #ifndef NormalLibXpm
***************
*** 50,55 ****
--- 53,61 ----
  #ifdef RsArchitecture
  REQUIREDLIBS = -lXext -lXt -lX11
  #endif
+ #ifdef OS2Architecture
+ REQUIREDLIBS = $(X11ROOT)\\XFree86\\lib\\ Xext Xt X11
+ #endif
  
  XCOMM on Dec Alpha we need to define the following to build the shared library
  #ifdef AlphaArchitecture
***************
*** 64,70 ****
--- 70,80 ----
      (defined(MipsArchitecture) && !defined(SGIArchitecture))
  DEFINES = -DZPIPE -DNEED_STRDUP
  #else
+ #ifdef OS2Architecture
+ DEFINES = -DNEED_STRCASECMP
+ #else
  DEFINES = -ZPIPE
+ #endif
  #endif
  
  
*** 1.1	1996/03/18 23:59:07
--- lib/Xpmos2.def	1996/03/18 23:44:48
***************
*** 0 ****
--- 1,41 ----
+ LIBRARY XPM
+ DESCRIPTION "X11R6 XFree86 libXPM.dll for OS/2 EMX09B VERSION=6.1"
+ CODE
+ 	PRELOAD
+ DATA
+ 	MULTIPLE NONSHARED
+ STACKSIZE 32768
+ EXPORTS
+ 	XpmCreatePixmapFromData @ 1
+ 	XpmCreateDataFromPixmap @ 2
+ 	XpmReadFileToPixmap @ 3
+ 	XpmWriteFileFromPixmap @ 4
+ 	XpmCreateImageFromData @ 5
+ 	XpmCreateDataFromImage @ 6
+ 	XpmReadFileToImage @ 7
+ 	XpmWriteFileFromImage @ 8
+ 	XpmCreateImageFromBuffer @ 9
+ 	XpmCreatePixmapFromBuffer @ 10
+ 	XpmCreateBufferFromImage @ 11
+ 	XpmCreateBufferFromPixmap @ 12
+ 	XpmReadFileToBuffer @ 13
+ 	XpmWriteFileFromBuffer @ 14
+ 	XpmReadFileToData @ 15
+ 	XpmWriteFileFromData @ 16
+ 	XpmAttributesSize @ 17
+ 	XpmFreeAttributes @ 18
+ 	XpmFreeExtensions @ 19
+ 	XpmFreeXpmImage @ 20
+ 	XpmFreeXpmInfo @ 21
+ 	XpmGetErrorString @ 22
+ 	XpmLibraryVersion @ 23
+ 	XpmReadFileToXpmImage @ 24
+ 	XpmWriteFileFromXpmImage @ 25
+ 	XpmCreatePixmapFromXpmImage @ 26
+ 	XpmCreateImageFromXpmImage @ 27
+ 	XpmCreateXpmImageFromImage @ 28
+ 	XpmCreateXpmImageFromPixmap @ 29
+ 	XpmCreateDataFromXpmImage @ 30
+ 	XpmCreateXpmImageFromData @ 31
+ 	XpmCreateXpmImageFromBuffer @ 32
+ 	XpmCreateBufferFromXpmImage @ 33
*** 1.1	1996/03/18 23:59:30
--- lib/Xpmos2.rsp	1996/03/18 23:50:20
***************
*** 0 ****
--- 1,7 ----
+ Attrib.obj CrBufFrI.obj CrBufFrP.obj CrDatFrI.obj CrDatFrP.obj CrIFrBuf.obj+
+ CrIFrDat.obj CrIFrP.obj CrPFrBuf.obj CrPFrDat.obj CrPFrI.obj Image.obj+
+ Info.obj RdFToBuf.obj RdFToDat.obj RdFToI.obj RdFToP.obj WrFFrBuf.obj+
+ WrFFrDat.obj WrFFrI.obj WrFFrP.obj create.obj data.obj hashtab.obj+
+ misc.obj parse.obj rgb.obj scan.obj /NOL /NOD /BAT
+ Xpm.dll
+ 
*** 1.1	1996/03/19 00:08:46
--- sxpm/Imakefile	1996/03/19 00:09:16
***************
*** 61,67 ****
            SRCS = sxpm.c
            OBJS = sxpm.o
  
! AllTarget(sxpm)
  NormalProgramTarget(sxpm,$(OBJS),$(DEPLIB),$(LOCAL_LIBRARIES),)
  InstallProgram(sxpm,$(XPMBINDIR))
  InstallManPage(sxpm,$(XPMMANDIR))
--- 61,67 ----
            SRCS = sxpm.c
            OBJS = sxpm.o
  
! AllTarget(ProgramTargetName(sxpm))
  NormalProgramTarget(sxpm,$(OBJS),$(DEPLIB),$(LOCAL_LIBRARIES),)
  InstallProgram(sxpm,$(XPMBINDIR))
  InstallManPage(sxpm,$(XPMMANDIR))
